Subject: bug#44724: Uninitialised variables in syntax.c cause trouble.

From: martin rudalics <[email-masked]>
Date: Thu, 19 Nov 2020 09:25:50 +0100

>> Just curious: Did current_buffer == find_start_buffer really succeed
 >> in your scenario?
 >
 > Yes it did.  All four comparisons in that block of code succeeded,
 > causing a spurious value to be returned by find_defun_start.

Isn't the probability for such a thing to be caused by uninitialized
variables lower than that of the Emacs tagging scheme to fail as a
whole?

 > But now I think that that value was a previously valid one which just
 > hadn't been updated on buffer changes.
 >
 > I don't think there's any cache invalidation code associated with this
 > cache,

MODIFF == find_start_modiff

 > and I think that's why it gave an invalid result.

martin